﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:mapView="clr-namespace:SecondMonitor.Telemetry.TelemetryApplication.ViewModels.MapView;assembly=TelemetryApplication"
                    xmlns:driverPosition="clr-namespace:SecondMonitor.WindowsControls.WPF.DriverPosition;assembly=WindowsControls"
                    xmlns:track="clr-namespace:SecondMonitor.ViewModels.Track;assembly=SecondMonitor.ViewModels">
    <DataTemplate DataType="{x:Type mapView:TrackMapWithCustomPathsViewModel}">
        <Border ClipToBounds="True" Padding="10">
            <Grid Margin="5" VerticalAlignment="Stretch" HorizontalAlignment="Stretch" ClipToBounds="True" Background="Transparent" >
                <Viewbox Stretch="Uniform" Visibility="{Binding TrackWithSectorsGeometryViewModel.IsGeometryFilled, Converter={StaticResource BooleanToVisibilityConverter}}" VerticalAlignment="Stretch" HorizontalAlignment="Stretch" >
                    <Canvas Width="{Binding TrackWithSectorsGeometryViewModel.Width}" Height="{Binding TrackWithSectorsGeometryViewModel.Height}" x:Name="PART_DriversGrid">
                        <Canvas x:Name="PART_RenderCanvas">
                            <Path Stroke="{StaticResource DarkGrey01Brush}" StrokeThickness="5" Data="{Binding TrackWithSectorsGeometryViewModel.TrackGeometry}"/>
                            <Path Stroke="{StaticResource Sector1Brush}" Visibility="{Binding ShowSectors, Converter={StaticResource BooleanToVisibilityConverter}}"  StrokeThickness="5" Data="{Binding TrackWithSectorsGeometryViewModel.Sector1Geometry}"/>
                            <Path Stroke="{StaticResource Sector2Brush}" Visibility="{Binding ShowSectors, Converter={StaticResource BooleanToVisibilityConverter}}"  StrokeThickness="5" Data="{Binding TrackWithSectorsGeometryViewModel.Sector2Geometry}"/>
                            <Path Stroke="{StaticResource Sector3Brush}" Visibility="{Binding ShowSectors, Converter={StaticResource BooleanToVisibilityConverter}}"  StrokeThickness="5" Data="{Binding TrackWithSectorsGeometryViewModel.Sector3Geometry}"/>
                            <Path Stroke="{StaticResource Green01Brush}" StrokeThickness="20" Panel.ZIndex="3" Data="{Binding TrackWithSectorsGeometryViewModel.FinishLineGeometry}"/>
                            <ItemsControl ItemsSource="{Binding CustomPaths}" Grid.ZIndex="4" VerticalAlignment="Stretch" HorizontalAlignment="Stretch">
                                <ItemsControl.ItemsPanel>
                                    <ItemsPanelTemplate>
                                        <Grid VerticalAlignment="Stretch" HorizontalAlignment="Stretch" Grid.ZIndex="4"/>
                                    </ItemsPanelTemplate>
                                </ItemsControl.ItemsPanel>
                                <ItemsControl.ItemTemplate>
                                    <DataTemplate>
                                        <ContentPresenter Content="{Binding }"/>
                                    </DataTemplate>
                                </ItemsControl.ItemTemplate>
                            </ItemsControl>
                            <ItemsControl ItemsSource="{Binding Drivers}" Grid.ZIndex="4" VerticalAlignment="Stretch" HorizontalAlignment="Stretch">
                                <ItemsControl.ItemsPanel>
                                    <ItemsPanelTemplate>
                                        <Grid VerticalAlignment="Stretch" HorizontalAlignment="Stretch" Grid.ZIndex="4"/>
                                    </ItemsPanelTemplate>
                                </ItemsControl.ItemsPanel>
                                <ItemsControl.ItemTemplate>
                                    <DataTemplate DataType="{x:Type track:DriverPositionViewModel}">
                                        <driverPosition:DriverByCoordinatesPositionControl TextBrush="{StaticResource DriverForegroundColor}" Width="30" Height="30"
                                                              PlayerForegroundBrush="{StaticResource PlayerForegroundColor}" PlayerBackgroundBrush="{StaticResource PlayerBackgroundColor}"
                                                              DriverForegroundBrush="{StaticResource DriverForegroundColor}" DriverBackgroundBrush="{StaticResource DriverBackgroundColor}"
                                                              LappingDriverForegroundBrush="{StaticResource TimingLappingForegroundBrush}" LappingDriverBackgroundBrush="{StaticResource TimingLappingBrush}"
                                                              LappedDriverForegroundBrush="{StaticResource TimingLappedForegroundBrush}" LappedDriverBackgroundBrush="{StaticResource TimingLappedBrush}"
                                                              DriverPitsForegroundBrush="{StaticResource DriverPitsForegroundColor}" DriverPitsBackgroundBrush="{StaticResource InPitsBrush}"
                                                              DriverPitsMovingBackground="{StaticResource InPitsMovingBrush}" YellowSectorBrush="{StaticResource YellowSectorBrush}"
                                                              PlayerOutLineBrush="{StaticResource PlayerOutLineColor}"
                                                              DriverViewModel="{Binding}" CircleBrush="{StaticResource DriverBackgroundColor}"
                                                              Animate="{Binding DataContext.AnimateDrivers, RelativeSource={RelativeSource AncestorType=ItemsControl}}"
                                                              IsAxisSwapped="{Binding DataContext.TrackWithSectorsGeometryViewModel.IsAxisSwapped, RelativeSource={RelativeSource AncestorType=ItemsControl}}"
                                                              XCoef="{Binding DataContext.TrackWithSectorsGeometryViewModel.XCoef, RelativeSource={RelativeSource AncestorType=ItemsControl}}"
                                                              YCoef="{Binding DataContext.TrackWithSectorsGeometryViewModel.YCoef, RelativeSource={RelativeSource AncestorType=ItemsControl}}"
                                                              IsClassColorIndicationEnabled="{Binding DataContext.ShowMultiClassIndicator, RelativeSource={RelativeSource AncestorType=ItemsControl}}"
                                                              ScaleDriver ="{Binding DataContext.AutoScaleDrivers, RelativeSource={RelativeSource AncestorType=ItemsControl}}"/>
                                    </DataTemplate>
                                </ItemsControl.ItemTemplate>
                            </ItemsControl>
                            <Canvas.RenderTransform>
                                <TranslateTransform X="{Binding TrackWithSectorsGeometryViewModel.LeftOffset}" Y="{Binding TrackWithSectorsGeometryViewModel.TopOffset}"></TranslateTransform>
                            </Canvas.RenderTransform>
                        </Canvas>
                    </Canvas>
                </Viewbox>
            </Grid>
        </Border>
    </DataTemplate>
</ResourceDictionary>